<?php
require_once("./DBConnection.php");
?>
<style>
   #logo-img{
        width:150px;
        height:150px;
        object-fit:scale-down;
        background : var(--bs-light);
        object-position:center center;
        border:1px solid var(--bs-dark);
        border-radius:50% 50%;
    }
    .logo-img{
        width:50px;
        height:50px;
        object-fit:scale-down;
        background : var(--bs-light);
        object-position:center center;
        border:1px solid var(--bs-dark);
        border-radius:50% 50%;
    }
    .contact-item{
        cursor:pointer;
        transition:ease
    }
    .contact-item:hover{
        position:relative;
        top:-5px;
        transform:scale(.99);
    }
    .contact-item:hover>div {
        background: #65f8ff0d !important;
        opacity: .8;
    }
    header#cover {
    height: 73vh;
}
</style>
<div class="w-100 h-100">
    <header id="cover">
        <div class="container-fluid h-100 d-flex flex-column justify-content-center align-items-center">
            <div class="flex-grow-1 d-flex flex-column justify-content-center align-items-center w-100">
                <div id="banner-site-title" class="w-100 text-center wow fadeIn" data-wow-duration="1.2s">Announcements</div>
            </div>
        </div>
    </header>
    <div class="flex-grow-1 bg-light mb-0">
        <section class="">
            <div class="container py-3">
                <div class="col-12">
                    <div class="row">
                        <div class="col-md-7">
                            <div class="w-100 py-2">
                                <?php 
                                $announcements = $conn->query("SELECT a.*,o.name FROM announcement_list a inner join office_list o on a.office_id = o.office_id where o.status = 1   order by strftime('%s',a.date_created) desc");
                                while($row = $announcements->fetchArray()):
                                ?>
                                <div class="card rounded-0 wow bounceInUp shadow mt-5">
                                    <div class="card-body">
                                        <div class="w-100 mx-1 d-flex align-items-center">
                                            <div class="col-auto">
                                                <img src="<?php echo is_file("./logo/".$row['office_id'].".png") ? "./logo/".$row['office_id'].".png" : "./images/no-image-available.png" ?>" alt="Image" class="logo-img">
                                            </div>
                                            <div class="col-10 flex-grow-1 mx-3">
                                                <div class="col-12">
                                                    <div class="fs-6 truncate-1"><?php echo $row['name'] ?></div>
                                                    <span class="text-muted"><small><?php echo date("M d, Y H:i",strtotime($row['date_created'])) ?></small></span>
                                                </div>
                                            </div>
                                        </div>
                                        <hr>
                                        <div class="w-100 truncate-5 content-holder">
                                            <?php echo html_entity_decode($row['content']) ?>
                                        </div>
                                    </div>
                                </div>
                                <?php endwhile; ?>
                                <?php if(!$announcements->fetchArray()): ?>
                                <div class="w-100 fs-6 text-muted text-center">No announcement listed yet.</div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<script>
    $(document).scroll(function() { 
        $('#topNavBar').removeClass('bg-transaparent bg-dark')
        if($(window).scrollTop() === 0) {
           $('#topNavBar').addClass('bg-transaparent')
        }else{
           $('#topNavBar').addClass('bg-dark')
        }
    });
    $(function(){
        $(document).trigger('scroll')
        $('.content-holder').each(function(){
            var _this = $(this)
            if($(this).get(0).offsetHeight < $(this).get(0).scrollHeight){
                var _el = $("<a href='javascript:void(0)'>")
                    _el.text("Read More")
                console.log(_this.get(0))
                _this.after(_el)
                _el.click(function(){
                    if($(this).text() == "Read More"){
                        _this.removeClass('truncate-5')
                        $(this).text("Read Less")
                    }else{
                        _this.addClass('truncate-5')
                        $(this).text("Read More")
                    }
                })
            }
        })

    })
   
</script>