<?php 
?>
<style>
    #logo-img{
        width:75px;
        height:75px;
        object-fit:scale-down;
        background : var(--bs-light);
        object-position:center center;
        border:1px solid var(--bs-dark);
        border-radius:50% 50%;
    }
</style>
<div class="container py-5">
<div class="card">
    <div class="card-header">
        <h5 class="card-title">Register Office Account and Contacts</h5>
    </div>
    <div class="card-body">
        <div class="container-fluid">
            <form action="" id="office-form">
                <input type="hidden" name="id" >
                <div class="col-12">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name" class="control-label">Office Name</label>
                                <input type="text" name="name" autofocus id="name" required class="form-control form-control-sm rounded-0">
                            </div>
                            <div class="form-group">
                                <label for="description" class="control-label">Office Description</label>
                                <textarea name="description" id="description" cols="30" rows="3" class="form-control form-control-sm rounded-0 rounded-0" required><?php echo isset($description) ? $description : '' ?></textarea>
                            </div>
                            <div class="form-group">
                                <label for="contact" class="control-label">Contact</label>
                                <input type="text" name="contact"  id="contact" class="form-control form-control-sm rounded-0" required>
                            </div>
                            <div class="form-group">
                                <label for="email" class="control-label">Email</label>
                                <input type="email" name="email"  id="email" class="form-control form-control-sm rounded-0" required>
                            </div>
                            <div class="form-group">
                                <label for="address" class="control-label">Office Address</label>
                                <textarea name="address" id="address" cols="30" rows="3" class="form-control form-control-sm rounded-0 rounded-0" required></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="website" class="control-label">Website Link (optional)</label>
                                <input type="text" name="website"  id="website" class="form-control form-control-sm rounded-0">
                            </div>
                            <div class="form-group">
                                <label for="facebook_page" class="control-label">FB Page Link (optional)</label>
                                <input type="text" name="facebook_page"  id="facebook_page" class="form-control form-control-sm rounded-0">
                            </div>
                            <div class="form-group">
                                <label for="username" class="control-label">Manager Username</label>
                                <input type="text" name="username"  id="username" class="form-control form-control-sm rounded-0"required>
                            </div>
                            <div class="form-group">
                                <label for="password" class="control-label">Manager Password</label>
                                <input type="password" name="password"  id="password" class="form-control form-control-sm rounded-0">
                            </div>
                            <div class="form-group">
                                <label for="username" class="control-label">Office Logo</label>
                                <input type="file" name="logo"  id="logo" class="form-control form-control-sm rounded-0" onchange="display_img(this)" required>

                                <div class="w-100 my-2 d-flex justify-content-center">
                                    <img src="./images/no-image-available.png" alt="Logo" id="logo-img">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="card-footer">
        <div class="col-12 d-flex justify-content-end">
            <div class="col-auto">
                <button class="btn btn-primary rounded-0 me-2" form="office-form">Create Now</button>
                <a class="btn btn-dark rounded-0" href="./">Back</a>
            </div>
        </div>
    </div>
</div>
</div>
<script>
    function display_img(input){
        if (input.files && input.files[0]) {
	        var reader = new FileReader();
	        reader.onload = function (e) {
	        	$('#logo-img').attr('src', e.target.result);
	        }

	        reader.readAsDataURL(input.files[0]);
	    }
    }
    $(function(){
        $('#office-form').submit(function(e){
            e.preventDefault();
            $('.pop_msg').remove()
            var _this = $(this)
            var _el = $('<div>')
                _el.addClass('pop_msg')
            $('.card-footer button').attr('disabled',true)
            $('.card-footer button[type="submit"]').text('submitting form...')
            $.ajax({
                url:'./Actions.php?a=save_office',
                data: new FormData($(this)[0]),
                cache: false,
                contentType: false,
                processData: false,
                method: 'POST',
                type: 'POST',
                dataType: 'json',
                error:err=>{
                    console.log(err)
                    _el.addClass('alert alert-danger')
                    _el.text("An error occurred.")
                    _this.prepend(_el)
                    _el.show('slow')
                     $('.card-footer button').attr('disabled',false)
                     $('.card-footer button[type="submit"]').text('Save')
                },
                success:function(resp){
                    if(resp.status == 'success'){
                        _el.addClass('alert alert-danger')
                        uni_modal('Login','login.php')
                    }else{
                        _el.addClass('alert alert-danger')
                    }
                    _el.text(resp.msg)

                    _el.hide()
                    _this.prepend(_el)
                    _el.show('slow')
                    $('#page-container').animate({scrollTop:0},'fast')
                     $('.card-footer button').attr('disabled',false)
                     $('.card-footer button[type="submit"]').text('Save')
                }
            })
        })
    })
</script>